%define aurox_ver 10.1
%define rel 1
 
%define firefox_version 1.0.0

Summary: Support for Czech interface in Mozilla Firefox
Name: firefox-i18n-Czech
Version: 1.0.0
Release: %{aurox_ver}.aur.%{rel}
License: MPL
URL: http://www.mozilla.org/
Source: http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/contrib-localized/firefox-1.0.cs-CZ.langpack.xpi
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
Requires: firefox = %{firefox_version}
PreReq: firefox = %{firefox_version}
BuildPreReq: unzip, dos2unix,gawk,sed
Obsoletes: mozilla-firebird-i18n-Czech, firebird-i18n-Czech

%description
Czech translation of the Mozilla Firefox interface.

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}

%build
dos2unix install.rdf

gawk 'BEGIN { RS = "Description"; OFS="\n"} /cs-CZ.jar.*/ {for(i=2;i<NF;i++) print $i }' install.rdf |\
  sed -e 's#<em:locale>\(.*\)</em:locale>#locale,install,url,jar:resource:/chrome/cs-CZ.jar!/\1#g' > lang-cs-CZ.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
install -d $RPM_BUILD_ROOT/usr/lib/firefox-%{firefox_version}/chrome/lang
cp -f chrome/cs-CZ.jar $RPM_BUILD_ROOT/usr/lib/firefox-%{firefox_version}/chrome/cs-CZ.jar
cp -f lang-cs-CZ.jar.txt $RPM_BUILD_ROOT/usr/lib/firefox-%{firefox_version}/chrome/lang

#cp %{SOURCE0} $RPM_BUILD_ROOT/usr/lib/firefox-%{firefox_version}/chrome/lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
#if [ -f /usr/lib/firefox-%{firefox_version}/firefox-rebuild-databases.pl ]; then
#    /usr/lib/firefox-%{firefox_version}/firefox-rebuild-databases.pl
#fi
pushd /usr/lib/firefox-%{firefox_version}/chrome/
cat lang/lang-cs-CZ.jar.txt >> installed-chrome.txt
popd
/usr/bin/firefox -register

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
#if [ -f /usr/lib/firefox-%{firefox_version}/firefox-rebuild-databases.pl ]; then
#    /usr/lib/firefox-%{firefox_version}/firefox-rebuild-databases.pl
#fi
pushd /usr/lib/firefox-%{firefox_version}/chrome/
cat installed-chrome.txt | grep -v "/chrome/cs-CZ.jar" > installed-chrome.txt.tmp
mv -f installed-chrome.txt{.tmp,}
popd
/usr/bin/firefox -register

%files
%defattr(-,root,root)
/usr/lib/firefox-%{firefox_version}/chrome/*.jar
/usr/lib/firefox-%{firefox_version}/chrome/lang/*.txt

%changelog
* Wed Nov 10 2004 Aurox Team <aurox@aurox.org> 0:1.0.0-10.1.aur.1
- New build.


